Gets the gift shop configuration of the session owner
curl --request GET \
--url https://{apiBaseUrl}/v1/{sessionId}/Configuration \
--header 'X-API-KEY: <api-key>'const url = 'https://{apiBaseUrl}/v1/{sessionId}/Configuration';
const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));import requests
url = "https://{apiBaseUrl}/v1/{sessionId}/Configuration"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{apiBaseUrl}/v1/{sessionId}/Configuration",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}using RestSharp;
var options = new RestClientOptions("https://{apiBaseUrl}/v1/{sessionId}/Configuration");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("X-API-KEY", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.get("https://{apiBaseUrl}/v1/{sessionId}/Configuration")
.header("X-API-KEY", "<api-key>")
.asString();{
"details": {
"preferredCulture": "<string>",
"name": "<string>",
"address": {
"addressLines": [
"<string>"
],
"postalCode": "<string>",
"city": "<string>",
"country": "<string>"
},
"contact": {
"email": "<string>",
"phone": "<string>",
"webSite": "<string>"
},
"rating": 123,
"timeZone": "<string>",
"picture": "<string>"
},
"theme": {
"font": {
"fontFamily": "<string>"
},
"background": {
"url": "<string>"
},
"logo": {
"url": "<string>"
},
"favicon": {
"url": "<string>"
},
"brand": {
"color": "<string>",
"inverted": true
},
"header": {
"color": "<string>",
"inverted": true
},
"pageAndFooter": {
"color": "<string>",
"inverted": true
}
},
"paymentMethods": [
{
"name": "<string>",
"cards": [
"<string>"
]
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}Configuration
Get the gift shop configuration
Returns the gift shop details, theme, and payment methods
GET
/
v1
/
{sessionId}
/
Configuration
Gets the gift shop configuration of the session owner
curl --request GET \
--url https://{apiBaseUrl}/v1/{sessionId}/Configuration \
--header 'X-API-KEY: <api-key>'const url = 'https://{apiBaseUrl}/v1/{sessionId}/Configuration';
const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));import requests
url = "https://{apiBaseUrl}/v1/{sessionId}/Configuration"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{apiBaseUrl}/v1/{sessionId}/Configuration",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}using RestSharp;
var options = new RestClientOptions("https://{apiBaseUrl}/v1/{sessionId}/Configuration");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("X-API-KEY", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.get("https://{apiBaseUrl}/v1/{sessionId}/Configuration")
.header("X-API-KEY", "<api-key>")
.asString();{
"details": {
"preferredCulture": "<string>",
"name": "<string>",
"address": {
"addressLines": [
"<string>"
],
"postalCode": "<string>",
"city": "<string>",
"country": "<string>"
},
"contact": {
"email": "<string>",
"phone": "<string>",
"webSite": "<string>"
},
"rating": 123,
"timeZone": "<string>",
"picture": "<string>"
},
"theme": {
"font": {
"fontFamily": "<string>"
},
"background": {
"url": "<string>"
},
"logo": {
"url": "<string>"
},
"favicon": {
"url": "<string>"
},
"brand": {
"color": "<string>",
"inverted": true
},
"header": {
"color": "<string>",
"inverted": true
},
"pageAndFooter": {
"color": "<string>",
"inverted": true
}
},
"paymentMethods": [
{
"name": "<string>",
"cards": [
"<string>"
]
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}Authorizations
API key delivered by D-EDGE
Path Parameters
The session identifier
Was this page helpful?